//---------------------------------------------------------------------------
#ifndef Super_TIU_ModeH
#define Super_TIU_ModeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include "_GClass.hpp"
#include "AbSwitch.hpp"
#include "AbLED.hpp"
//---------------------------------------------------------------------------
class TSuperTIU : public TForm
{
__published:	// IDE-managed Components
	TLabel *SuperTIU_Label;
	TImage *Copyright;
    TPanel *SuperPanel;
	TButton *HideButton;
	TAbRockerSwitch *TIU1;
	TAbRockerSwitch *TIU2;
	TAbRockerSwitch *TIU3;
	TAbRockerSwitch *TIU4;
	TAbRockerSwitch *TIU5;
	TLabel *Label10;
	TLabel *Label1;
    TAbLED *SuperTIUModeLED;
	void __fastcall HideButtonClick(TObject *Sender);
	void __fastcall TIU1Click(TObject *Sender);
	void __fastcall TIU2Click(TObject *Sender);
	void __fastcall TIU3Click(TObject *Sender);
	void __fastcall TIU4Click(TObject *Sender);
	void __fastcall TIU5Click(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall FormDeactivate(TObject *Sender);
	void __fastcall SuperTIU_LabelClick(TObject *Sender);
    void __fastcall CopyrightClick(TObject *Sender);
    void __fastcall SuperTIUModeLEDClick(TObject *Sender);

private:	// User declarations

	bool LocalTransparencyOverride;

public:		// User declarations
	__fastcall TSuperTIU(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TSuperTIU *SuperTIU;
//---------------------------------------------------------------------------
#endif
